cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe-Inferred
Language | Haskell2010

Cryptol.Parser.Layout

Synopsis

- layout :: Bool -> [Located Token] -> [Located Token]
- data Block
  - = Virtual Int
  - | Explicit TokenT
- startsLayout :: TokenT -> Bool
- endsLayout :: TokenT -> Bool
- startsParenBlock :: TokenT -> Maybe TokenT
- virt :: Range -> TokenV -> Located Token
- errTok :: Range -> TokenErr -> Located Token

# Documentation

layout :: Bool -> [Located Token] -> [Located Token] Source #

data Block Source #

Constructors

Virtual Int | Virtual layout block
Explicit TokenT | An explicit layout block, expecting this ending token.

#### Instances

Instances details

Show Block Source # |
Instance details Defined in Cryptol.Parser.Layout Methods showsPrec :: Int -> Block -> ShowS Source # show :: Block -> String Source # showList :: [Block] -> ShowS Source #

startsLayout :: TokenT -> Bool Source #

These tokens start an implicit layout block

endsLayout :: TokenT -> Bool Source #

These tokens end an implicit layout block

startsParenBlock :: TokenT -> Maybe TokenT Source #

These tokens start an explicit "paren" layout block. If so, the result contains the corresponding closing paren.

virt :: Range -> TokenV -> Located Token Source #

Make a virtual token of the given type

errTok :: Range -> TokenErr -> Located Token Source #